@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav defer -err defer.log
if errorlevel 1 (
	echo Error ASN.1-compiling.
	exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd defer
echo Java-compiling generated classes...
echo.
call defer.bat %JAVAC% -g >>..\defer.log
cd ..

%JAVAC% -g *.java >>defer.log
if not exist Tdefer.class (
	echo Error Java-compiling.
	echo Tdefer.class not found.
	exit /b 1
)

echo Running the test...
echo.

java Tdefer
if exist defer (
	rmdir /s /q defer
	exit /b 0
)

:cleanup
if exist defer 	rmdir /s /q defer
if exist defer.log del defer.log
if exist *.class del *.class
