#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f defer.log
	rm -f *.class
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav defer -err defer.log
	if [ $? -eq 0 ]; then 
	    cd defer
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh defer.sh 2>&1 >> ../defer.log
	    cd ..
	    ${JAVAC} Tdefer.java 2>&1 >> defer.log
	    if [ -f Tdefer.class ]; then
		echo "Running the test...";
		echo ""
		${JAVA} Tdefer;
	    fi
	fi
	rm -fr defer
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
